Subject: RE: Problems builing and testing DBD::ODBC with Cygwin
From: Neil Lunn <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 9 Apr 2001 10:40:05 +1000

Paul,

Was the patch applied from this message. 

http://sources.redhat.com/ml/cygwin/2000-08/msg00464.html

This should apply to a clean distribution of DBD-ODBC-0.28. 

Neil

> -----Original Message-----
> From: Paul A. Chernoch [mailto:[email-masked]]
> Sent: Sunday, April 08, 2001 7:16 AM
> To: [email-masked]
> Subject: Problems builing and testing DBD::ODBC with Cygwin
> 
> 
> I searched through the Cygwin archives on redhat and got part 
> way there. I 
> have patched my Makefile.PL to reflect their recommendations 
> (like #UNDEF 
> WIN32 and removing "-lodbccp32") to deal with the win32.h 
> problems. This 
> got me to be able to compile at least. But I get one 
> troublesome warning, 
> and most of the tests fail. The warning below is "warning: 
> passing arg 3 of 
> `SQLDriverConnect' makes integer from pointer without a cast". Any 
> suggestions? I use perl 5.6.1 on Windows 2000, using cygwin 1.1.8.
> 
>     - Paul
> 
> ------
> 
> gcc -c -I. -I/usr/lib/perl5/site_perl/5.6.1/cygwin/auto/DBI 
> -DPERL_USE_SAFE_PUTENV -DHAS_SBRK_PROTO -fno-strict-aliasing
>   -DUSEIMPORTLIB -O2   -DVERSION=\"0.28\" 
> -DXS_VERSION=\"0.28\"  -I/usr/lib/perl5/5.6.1/cygwin/CORE  ODBC.c
> gcc -c -I. -I/usr/lib/perl5/site_perl/5.6.1/cygwin/auto/DBI 
> -DPERL_USE_SAFE_PUTENV -DHAS_SBRK_PROTO -fno-strict-aliasing
>   -DUSEIMPORTLIB -O2   -DVERSION=\"0.28\" 
> -DXS_VERSION=\"0.28\"  -I/usr/lib/perl5/5.6.1/cygwin/CORE  dbdimp.c
> dbdimp.c: In function `odbc_db_login':
> dbdimp.c:171: warning: passing arg 3 of `SQLDriverConnect' 
> makes integer 
> from pointer without a cast
> Running Mkbootstrap for DBD::ODBC ()
> chmod 644 ODBC.bs
> rm -f blib/arch/auto/DBD/ODBC/ODBC.dll
> LD_RUN_PATH="/usr/local/lib" ld2 -o 
> blib/arch/auto/DBD/ODBC/ODBC.dll  -s 
> -L/usr/local/lib ODBC.o dbdimp.o -lodbc32  /usr
> /lib/perl5/5.6.1/cygwin/CORE/libperl5_6_1.a -lodbc32
> dllwrap --dllname ODBC.dll --driver-name gcc --dlltool dlltool 
> --export-all-symbols --as as --output-def libODBC.def --o
> utput-lib libODBC.a \
>   -s -L/usr/local/lib ODBC.o dbdimp.o -lodbc32 
> /usr/lib/perl5/5.6.1/cygwin/CORE/libperl5_6_1.a -lodbc32
> dllwrap: no export definition file provided
> dllwrap: creating one, but that may not be what you want
> mv ODBC.dll libODBC.a blib/arch/auto/DBD/ODBC/
> chmod 755 blib/arch/auto/DBD/ODBC/ODBC.dll
> cp ODBC.bs blib/arch/auto/DBD/ODBC/ODBC.bs
> chmod 644 blib/arch/auto/DBD/ODBC/ODBC.bs
> bash-2.04$ make test
> PERL_DL_NONLAZY=1 /usr/bin/perl5.6.1 -Iblib/arch -Iblib/lib 
> -I/usr/lib/perl5/5.6.1/cygwin -I/usr/lib/perl5/5.6.1 -e 'use
>   Test::Harness qw(&runtests $verbose); $verbose=0; runtests 
> @ARGV;' t/*.t
> t/01base............ok
> t/02simple..........ok 1/14      0 [main] perl5.6.1 1980 
> handle_exceptions: 
> Exception: STATUS_ACCESS_VIOLATION
>     1770 [main] perl5.6.1 1980 stackdump: Dumping stack trace to 
> perl5.6.1.exe.stackdump
> t/02simple..........dubious
>          Test returned status 0 (wstat 139, 0x8b)
>          test program seems to have generated a core
> DIED. FAILED tests 2-14
>          Failed 13/14 tests, 7.14% okay
> t/03dbatt...........ok 1/6      0 [main] perl5.6.1 2008 
> handle_exceptions: 
> Exception: STATUS_ACCESS_VIOLATION
>     3815 [main] perl5.6.1 2008 stackdump: Dumping stack trace to 
> perl5.6.1.exe.stackdump
> t/03dbatt...........dubious
>          Test returned status 0 (wstat 139, 0x8b)
>          test program seems to have generated a core
> DIED. FAILED tests 2-6
>          Failed 5/6 tests, 16.67% okay
> t/05meth............ok 1/6      0 [main] perl5.6.1 2024 
> handle_exceptions: 
> Exception: STATUS_ACCESS_VIOLATION
>     1250 [main] perl5.6.1 2024 stackdump: Dumping stack trace to 
> perl5.6.1.exe.stackdump
> t/05meth............dubious
>          Test returned status 0 (wstat 139, 0x8b)
>          test program seems to have generated a core
> DIED. FAILED tests 2-6
>          Failed 5/6 tests, 16.67% okay
> t/09bind............ok 1/9      0 [main] perl5.6.1 1968 
> handle_exceptions: 
> Exception: STATUS_ACCESS_VIOLATION
>     1240 [main] perl5.6.1 1968 stackdump: Dumping stack trace to 
> perl5.6.1.exe.stackdump
> t/09bind............dubious
>          Test returned status 0 (wstat 139, 0x8b)
>          test program seems to have generated a core
> DIED. FAILED tests 2-9
>          Failed 8/9 tests, 11.11% okay
> Failed Test  Status Wstat Total Fail  Failed  List of Failed
> --------------------------------------------------------------
> ------------------
> t/02simple.t       0   139    14   13  92.86%  2-14
> t/03dbatt.t        0   139     6    5  83.33%  2-6
> t/05meth.t         0   139     6    5  83.33%  2-6
> t/09bind.t         0   139     9    8  88.89%  2-9
> Failed 4/5 test scripts, 20.00% okay. 31/40 subtests failed, 
> 22.50% okay.
> make: *** [test_dynamic] Error 2
> . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .
> 
> Paul Anton Chernoch
> Zeborg, Inc.
> 500 West Cummings Park
> Woburn, MA 01801
> 
> t: 781.759.0105
> f: 781.935.5090
> c: 781.606.7382
> 
> http://www.zeborg.com
> This message is a personal and confidential communication. If 
> you are not
> the intended recipient, please do not read, copy, or use it, 
> and do not
> disclose it to others. Please notify the sender of the 
> delivery error by
> replying to this message, and then delete it from your 
> system. Thank you.
> 
> . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .
> 
> 

__________________________________________________________________________
Please Note :
Only  the intended recipient is authorised to access or use this e-mail.  If
you are not the intended recipient,
please delete this e-mail and notify the sender immediately.   The contents
of this e-mail are the writer's 
opinion and are not necessarily endorsed by the Gunz Companies unless
expressly stated.

We use virus scanning software but exclude all liability for viruses or
similar in any attachment.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple